テキストを wiki に同期 Ingest する
テキストコンテンツを wiki に取り込み、新規/更新ページの反映まで待って結果を返す。n8n などの外部ツール連携用。
POST
/sources/text/syncHeader parameters
authorizationstring | anyX-Api-Keystring | anyRequest body
requiredapplication/jsoncontentstringrequiredtitlestringdefault: ""
tagsstring[]default: []
Responses
200Successful Response
source_idstringrequiredstatusstringrequiredpages_createdstring[]requiredpages_updatedstring[]requiredpages_failedobject[]required422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredRequest
curl -X POST "/sources/text/sync" \
-H "Content-Type: application/json" \
-d '{
"content": "string",
"title": "",
"tags": []
}'const response = await fetch("/sources/text/sync", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"content": "string",
"title": "",
"tags": []
})
});import requests
response = requests.post(
"/sources/text/sync",
headers={
"Content-Type": "application/json"
},
json={
"content": "string",
"title": "",
"tags": []
},
)Response
{
"source_id": "string",
"status": "string",
"pages_created": [
"string"
],
"pages_updated": [
"string"
],
"pages_failed": [
{}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}